# PSF-LoginServer - master - net.psforever.objects.inventory.Container
PSF - LoginServer - master - net.psforever.objects.inventory.Container
Keywords: PSF LoginServer master net.psforever.objects.inventory.Container

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package inventory
  Definition Classes
    objects
- Container
- GridInventory
- InventoryDisarrayException
- InventoryEquipmentSlot
- InventoryItem
- InventoryTile
- LocallyRegisteredInventory

t

net.psforever.objects.inventory

# Container

###

#### trait Container extends AnyRef

This object is capable of storing ("stowing") `Equipment` within itself.
The following objects are considered item containers: players (their own inventory), players (their corpse's loot), vehicles (their trunk), and lockers (contents of the player's fifth slot).

Source
  Container.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Player, TurretDeployable, Vehicle, GridInventory, LocallyRegisteredInventory, LockerContainer, LockerEquipment, OrbitalShuttle, FacilityTurret, WeaponTurret

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Container
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def Inventory: GridInventory

   A(n imperfect) reference to a generalized pool of the contained objects.

   A(n imperfect) reference to a generalized pool of the contained objects. Having access to all of the available positions is not required. The entries in this reference should definitely include all unseen positions. The `GridInventory` returned by this accessor is also an implementation of `Container`.

   See also

     `VisibleSlots`

2.  abstract def VisibleSlots: Set[Int]

   A(n imperfect) reference to a generalized pool of the contained objects.
   Having access to all of the available positions is not required.

   A(n imperfect) reference to a generalized pool of the contained objects.
   Having access to all of the available positions is not required. Only the positions that can be actively viewed by other clients are listed.

   returns

     all of the affected slot indices

   See also

     `Inventory`

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Collisions(index: Int, width: Int, height: Int): Try[List[InventoryItem]]

   Given a region of "searchable unit positions" considered as stowable, determine if any previously stowed items are contained within that region.
   Default usage, and recommended the continued inclusion of that use, is defined in terms of `Equipment` being stowed in a `GridInventory`.

   Given a region of "searchable unit positions" considered as stowable, determine if any previously stowed items are contained within that region.
   Default usage, and recommended the continued inclusion of that use, is defined in terms of `Equipment` being stowed in a `GridInventory`. Where the `Equipment` object is defined by the dimensions `width` and `height`, starting a search at `index` will search all positions within a grid-like range of numbers. Under certain searching conditions, this range may be meaningless, such as is the case when searching individual positions that are normal `EquipmentSlot` objects. Regardless, the value collected indicates the potential of multiple objects being discovered and maintains a reference to the object itself and the slot position where the object is located. (As any object can be discovered within the range, that is important.)

   index

     the position to start searching

   width

     the width of the searchable space

   height

     the height of the serachable space

   returns

     a list of objects that have been encountered within the searchable space

   See also

     `GridInventory.CheckCollisionsVar`

5.  def Find(guid: PlanetSideGUID): Option[Int]

   Given globally unique identifier, if the object using it is stowed, attempt to locate its slot.

   Given globally unique identifier, if the object using it is stowed, attempt to locate its slot. All positions, `VisibleSlot` and `Inventory`, and wherever else, should be searchable.

   guid

     the GUID of the `Equipment`

   returns

     the index of the `EquipmentSlot`, or `None`

6.  def Find(obj: Equipment): Option[Int]

   Given an object, attempt to locate its slot.

   Given an object, attempt to locate its slot. All positions, `VisibleSlot` and `Inventory`, and wherever else, should be searchable.

   obj

     the `Equipment` object

   returns

     the index of the `EquipmentSlot`, or `None`

7.  def Fit(tile: InventoryTile): Option[Int]
8.  def Fit(obj: Equipment): Option[Int]
9.  def Slot(slotNum: Int): EquipmentSlot

   Access to all stowable positions on this object by index.
   All positions, `VisibleSlot` and `Inventory`, and wherever else, should be reachable.

   Access to all stowable positions on this object by index.
   All positions, `VisibleSlot` and `Inventory`, and wherever else, should be reachable. Regardless of the internal storage medium, the format of return is expected to be the same structure of object as the most basic storage component for `Equipment`, namely, `EquipmentSlot` objects. By default, it is expected to return an `EquipmentSlot` that can not be manipulated because it is `Blocked`.

   slotNum

     an index

   returns

     the searchable position identified by that index

   See also

     `OffhandEquipmentSlot`

10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped